
// this file is generated — do not edit it


/// <reference types="@sveltejs/kit" />

/**
 * Environment variables [loaded by Vite](https://vitejs.dev/guide/env-and-mode.html#env-files) from `.env` files and `process.env`. Like [`$env/dynamic/private`](https://kit.svelte.dev/docs/modules#$env-dynamic-private), this module cannot be imported into client-side code. This module only includes variables that _do not_ begin with [`config.kit.env.publicPrefix`](https://kit.svelte.dev/docs/configuration#env) _and do_ start with [`config.kit.env.privatePrefix`](https://kit.svelte.dev/docs/configuration#env) (if configured).
 * 
 * _Unlike_ [`$env/dynamic/private`](https://kit.svelte.dev/docs/modules#$env-dynamic-private), the values exported from this module are statically injected into your bundle at build time, enabling optimisations like dead code elimination.
 * 
 * ```ts
 * import { API_KEY } from '$env/static/private';
 * ```
 * 
 * Note that all environment variables referenced in your code should be declared (for example in an `.env` file), even if they don't have a value until the app is deployed:
 * 
 * ```
 * MY_FEATURE_FLAG=""
 * ```
 * 
 * You can override `.env` values from the command line like so:
 * 
 * ```bash
 * MY_FEATURE_FLAG="enabled" npm run dev
 * ```
 */
declare module '$env/static/private' {
	export const NVM_INC: string;
	export const STARSHIP_SHELL: string;
	export const MANPATH: string;
	export const npm_package_devDependencies_rollup_plugin_svelte: string;
	export const TERM_PROGRAM: string;
	export const NODE: string;
	export const INIT_CWD: string;
	export const npm_package_devDependencies_typescript: string;
	export const PYENV_ROOT: string;
	export const NVM_CD_FLAGS: string;
	export const npm_package_devDependencies_vite: string;
	export const TERM: string;
	export const SHELL: string;
	export const HOMEBREW_REPOSITORY: string;
	export const TMPDIR: string;
	export const TERM_PROGRAM_VERSION: string;
	export const npm_package_scripts_dev: string;
	export const JIRA_API_TOKEN: string;
	export const AD_MD_PASSWORD: string;
	export const ZDOTDIR: string;
	export const FIG_NEW_SESSION: string;
	export const ORIGINAL_XDG_CURRENT_DESKTOP: string;
	export const MallocNanoZone: string;
	export const npm_config_registry: string;
	export const ZSH: string;
	export const NVM_DIR: string;
	export const USER: string;
	export const COMMAND_MODE: string;
	export const PNPM_SCRIPT_SRC_DIR: string;
	export const npm_package_exports___import: string;
	export const npm_package_devDependencies__sveltejs_adapter_static: string;
	export const OPENAI_KEY: string;
	export const SSH_AUTH_SOCK: string;
	export const HOMEBREW_NO_AUTO_UPDATE: string;
	export const __CF_USER_TEXT_ENCODING: string;
	export const npm_execpath: string;
	export const npm_package_devDependencies_tslib: string;
	export const npm_package_module: string;
	export const npm_package_devDependencies_svelte: string;
	export const PAGER: string;
	export const npm_config_frozen_lockfile: string;
	export const LSCOLORS: string;
	export const PATH: string;
	export const npm_package_devDependencies_rollup: string;
	export const npm_config_engine_strict: string;
	export const _: string;
	export const LaunchInstanceID: string;
	export const USER_ZDOTDIR: string;
	export const GITHUB_TOKEN_NVR: string;
	export const __CFBundleIdentifier: string;
	export const npm_command: string;
	export const PWD: string;
	export const npm_package_devDependencies__sveltejs_package: string;
	export const npm_package_scripts_preview: string;
	export const HOMEBREW_GITHUB_API_TOKEN: string;
	export const npm_lifecycle_event: string;
	export const npm_package_types: string;
	export const npm_package_devDependencies__tsconfig_svelte: string;
	export const npm_package_devDependencies__sveltejs_vite_plugin_svelte: string;
	export const npm_package_svelte: string;
	export const npm_package_name: string;
	export const LANG: string;
	export const npm_package_scripts_build: string;
	export const npm_config_node_linker: string;
	export const VSCODE_GIT_ASKPASS_EXTRA_ARGS: string;
	export const XPC_FLAGS: string;
	export const npm_config_node_gyp: string;
	export const npm_package_main: string;
	export const npm_package_devDependencies_vite_plugin_dts: string;
	export const npm_package_version: string;
	export const DOCKER_BUILDKIT: string;
	export const XPC_SERVICE_NAME: string;
	export const npm_package_devDependencies_svelte_check: string;
	export const VSCODE_INJECTION: string;
	export const GPG_TTY: string;
	export const npm_package_type: string;
	export const PYENV_SHELL: string;
	export const SHLVL: string;
	export const HOME: string;
	export const VSCODE_GIT_ASKPASS_MAIN: string;
	export const XDG_CONFIG_HOME: string;
	export const HOMEBREW_PREFIX: string;
	export const STARSHIP_SESSION_KEY: string;
	export const DOCKER_SCAN_SUGGEST: string;
	export const LESS: string;
	export const LOGNAME: string;
	export const npm_lifecycle_script: string;
	export const npm_package_exports___require: string;
	export const VSCODE_GIT_IPC_HANDLE: string;
	export const npm_package_exports___DefaultOverlay_svelte_svelte: string;
	export const npm_package_devDependencies_rollup_plugin_node_resolve: string;
	export const NVM_BIN: string;
	export const GOPATH: string;
	export const GITHUB_TOKEN: string;
	export const npm_config_user_agent: string;
	export const npm_package_devDependencies__types_node: string;
	export const VSCODE_GIT_ASKPASS_NODE: string;
	export const GIT_ASKPASS: string;
	export const INFOPATH: string;
	export const HOMEBREW_CELLAR: string;
	export const npm_package_scripts_build_watch: string;
	export const SECURITYSESSIONID: string;
	export const npm_package_exports___DefaultOverlay_svelte_types: string;
	export const npm_package_devDependencies_nodemon: string;
	export const npm_package_scripts_check: string;
	export const npm_node_execpath: string;
	export const COLORTERM: string;
}

/**
 * Similar to [`$env/static/private`](https://kit.svelte.dev/docs/modules#$env-static-private), except that it only includes environment variables that begin with [`config.kit.env.publicPrefix`](https://kit.svelte.dev/docs/configuration#env) (which defaults to `PUBLIC_`), and can therefore safely be exposed to client-side code.
 * 
 * Values are replaced statically at build time.
 * 
 * ```ts
 * import { PUBLIC_BASE_URL } from '$env/static/public';
 * ```
 */
declare module '$env/static/public' {
	
}

/**
 * This module provides access to runtime environment variables, as defined by the platform you're running on. For example if you're using [`adapter-node`](https://github.com/sveltejs/kit/tree/main/packages/adapter-node) (or running [`vite preview`](https://kit.svelte.dev/docs/cli)), this is equivalent to `process.env`. This module only includes variables that _do not_ begin with [`config.kit.env.publicPrefix`](https://kit.svelte.dev/docs/configuration#env) _and do_ start with [`config.kit.env.privatePrefix`](https://kit.svelte.dev/docs/configuration#env) (if configured).
 * 
 * This module cannot be imported into client-side code.
 * 
 * Dynamic environment variables cannot be used during prerendering.
 * 
 * ```ts
 * import { env } from '$env/dynamic/private';
 * console.log(env.DEPLOYMENT_SPECIFIC_VARIABLE);
 * ```
 * 
 * > In `dev`, `$env/dynamic` always includes environment variables from `.env`. In `prod`, this behavior will depend on your adapter.
 */
declare module '$env/dynamic/private' {
	export const env: {
		NVM_INC: string;
		STARSHIP_SHELL: string;
		MANPATH: string;
		npm_package_devDependencies_rollup_plugin_svelte: string;
		TERM_PROGRAM: string;
		NODE: string;
		INIT_CWD: string;
		npm_package_devDependencies_typescript: string;
		PYENV_ROOT: string;
		NVM_CD_FLAGS: string;
		npm_package_devDependencies_vite: string;
		TERM: string;
		SHELL: string;
		HOMEBREW_REPOSITORY: string;
		TMPDIR: string;
		TERM_PROGRAM_VERSION: string;
		npm_package_scripts_dev: string;
		JIRA_API_TOKEN: string;
		AD_MD_PASSWORD: string;
		ZDOTDIR: string;
		FIG_NEW_SESSION: string;
		ORIGINAL_XDG_CURRENT_DESKTOP: string;
		MallocNanoZone: string;
		npm_config_registry: string;
		ZSH: string;
		NVM_DIR: string;
		USER: string;
		COMMAND_MODE: string;
		PNPM_SCRIPT_SRC_DIR: string;
		npm_package_exports___import: string;
		npm_package_devDependencies__sveltejs_adapter_static: string;
		OPENAI_KEY: string;
		SSH_AUTH_SOCK: string;
		HOMEBREW_NO_AUTO_UPDATE: string;
		__CF_USER_TEXT_ENCODING: string;
		npm_execpath: string;
		npm_package_devDependencies_tslib: string;
		npm_package_module: string;
		npm_package_devDependencies_svelte: string;
		PAGER: string;
		npm_config_frozen_lockfile: string;
		LSCOLORS: string;
		PATH: string;
		npm_package_devDependencies_rollup: string;
		npm_config_engine_strict: string;
		_: string;
		LaunchInstanceID: string;
		USER_ZDOTDIR: string;
		GITHUB_TOKEN_NVR: string;
		__CFBundleIdentifier: string;
		npm_command: string;
		PWD: string;
		npm_package_devDependencies__sveltejs_package: string;
		npm_package_scripts_preview: string;
		HOMEBREW_GITHUB_API_TOKEN: string;
		npm_lifecycle_event: string;
		npm_package_types: string;
		npm_package_devDependencies__tsconfig_svelte: string;
		npm_package_devDependencies__sveltejs_vite_plugin_svelte: string;
		npm_package_svelte: string;
		npm_package_name: string;
		LANG: string;
		npm_package_scripts_build: string;
		npm_config_node_linker: string;
		VSCODE_GIT_ASKPASS_EXTRA_ARGS: string;
		XPC_FLAGS: string;
		npm_config_node_gyp: string;
		npm_package_main: string;
		npm_package_devDependencies_vite_plugin_dts: string;
		npm_package_version: string;
		DOCKER_BUILDKIT: string;
		XPC_SERVICE_NAME: string;
		npm_package_devDependencies_svelte_check: string;
		VSCODE_INJECTION: string;
		GPG_TTY: string;
		npm_package_type: string;
		PYENV_SHELL: string;
		SHLVL: string;
		HOME: string;
		VSCODE_GIT_ASKPASS_MAIN: string;
		XDG_CONFIG_HOME: string;
		HOMEBREW_PREFIX: string;
		STARSHIP_SESSION_KEY: string;
		DOCKER_SCAN_SUGGEST: string;
		LESS: string;
		LOGNAME: string;
		npm_lifecycle_script: string;
		npm_package_exports___require: string;
		VSCODE_GIT_IPC_HANDLE: string;
		npm_package_exports___DefaultOverlay_svelte_svelte: string;
		npm_package_devDependencies_rollup_plugin_node_resolve: string;
		NVM_BIN: string;
		GOPATH: string;
		GITHUB_TOKEN: string;
		npm_config_user_agent: string;
		npm_package_devDependencies__types_node: string;
		VSCODE_GIT_ASKPASS_NODE: string;
		GIT_ASKPASS: string;
		INFOPATH: string;
		HOMEBREW_CELLAR: string;
		npm_package_scripts_build_watch: string;
		SECURITYSESSIONID: string;
		npm_package_exports___DefaultOverlay_svelte_types: string;
		npm_package_devDependencies_nodemon: string;
		npm_package_scripts_check: string;
		npm_node_execpath: string;
		COLORTERM: string;
		[key: `PUBLIC_${string}`]: undefined;
		[key: `${string}`]: string | undefined;
	}
}

/**
 * Similar to [`$env/dynamic/private`](https://kit.svelte.dev/docs/modules#$env-dynamic-private), but only includes variables that begin with [`config.kit.env.publicPrefix`](https://kit.svelte.dev/docs/configuration#env) (which defaults to `PUBLIC_`), and can therefore safely be exposed to client-side code.
 * 
 * Note that public dynamic environment variables must all be sent from the server to the client, causing larger network requests — when possible, use `$env/static/public` instead.
 * 
 * Dynamic environment variables cannot be used during prerendering.
 * 
 * ```ts
 * import { env } from '$env/dynamic/public';
 * console.log(env.PUBLIC_DEPLOYMENT_SPECIFIC_VARIABLE);
 * ```
 */
declare module '$env/dynamic/public' {
	export const env: {
		[key: `PUBLIC_${string}`]: string | undefined;
	}
}
